Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.parser
Class TagConstants

    java.lang.Object
      javafe.ast.GeneratedTags
          javafe.ast.OperatorTags
              javafe.ast.TagConstants
                  javafe.parser.TagConstants

Direct Known Subclasses:
  TagConstants

public class TagConstants
extends TagConstants

`TagConstants is a class defining the constants used to identify different kinds of tokens.`

Field Summary
`static int` | `ABSTRACT`
`static int` | `ASSERT`
`static int` | `BOOLEAN`
`static int` | `BREAK`
`static int` | `BYTE`
`static int` | `C_COMMENT`
`static int` | `CASE`
`static int` | `CATCH`
`static int` | `CHAR`
`static int` | `CLASS`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONST`
`static int` | `CONTINUE`
`static int` | `DEFAULT`
`static int` | `DO`
`static int` | `DOUBLE`
`static int` | `ELSE`
`static int` | `EOF`
`static int` | `EOL_COMMENT`
`static int` | `EXTENDS`
`static int` | `FALSE`
`static int` | `FIELD`
`static int` | `FINAL`
`static int` | `FINALLY`
`static int` | `FIRST_KEYWORD`
`static int` | `FLOAT`
`static int` | `FOR`
`static int` | `GOTO`
`static int` | `IF`
`static int` | `IMPLEMENTS`
`static int` | `IMPORT`
`static int` | `INSTANCEOF`
`static int` | `INT`
`static int` | `INTERFACE`
`private static java.lang.String[]` | `keywordStrings` Alphabetical list of Java keywords.
`static int` | `LAST_KEYWORD`
`static int` | `LAST_TAG`
`static int` | `LBRACE`
`static int` | `LEXICALPRAGMA`
`static int` | `LONG`
`static int` | `LPAREN`
`static int` | `LSQBRACKET`
`static int` | `MAX_INT_PLUS_ONE`
`static int` | `MAX_LONG_PLUS_ONE`
`static int` | `MODIFIERPRAGMA`
`static int` | `NATIVE`
`static int` | `NEW`
`private static int` | `noTokens`
`static int` | `NULL`
`private static int[]` | `otherCodes`
`private static java.lang.String[]` | `otherStrings`
`static int` | `PACKAGE`
`static int` | `POSTMODIFIERPRAGMA`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`(package private) static int[]` | `punctuationCodes` List of codes for Java punctuation.
`(package private) static java.lang.String[]` | `punctuationStrings` Alphabetical list of Java punctuation strings.
`static int` | `QUESTIONMARK`
`static int` | `RBRACE`
`static int` | `RETURN`
`static int` | `RPAREN`
`static int` | `RSQBRACKET`
`static int` | `SEMICOLON`
`static int` | `SHORT`
`static int` | `STATIC`
`static int` | `STMTPRAGMA`
`static int` | `STRICT`
`static int` | `SUPER`
`static int` | `SWITCH`
`static int` | `SYNCHRONIZED`
`static int` | `THIS`
`static int` | `THROW`
`static int` | `THROWS`
`static int` | `TRANSIENT`
`static int` | `TRUE`
`static int` | `TRY`
`static int` | `TYPEDECLELEMPRAGMA`
`static int` | `TYPEMODIFIERPRAGMA`
`static int` | `UNKNOWN_KEYWORD`
`static int` | `VOID`
`static int` | `VOLATILE`
`static int` | `WHILE`

Fields inherited from class javafe.ast.TagConstants
`BOOLEANLIT, BOOLEANTYPE, BYTELIT, BYTETYPE, CHARLIT, CHARTYPE, DOUBLELIT, DOUBLETYPE, ERRORTYPE, FLOATLIT, FLOATTYPE, IDENT, INTLIT, INTTYPE, LONGLIT, LONGTYPE, NULLLIT, NULLTYPE, SHORTLIT, SHORTTYPE, STRINGLIT, VOIDTYPE`

Fields inherited from class javafe.ast.OperatorTags
`ADD, AND, ASGADD, ASGBITAND, ASGBITOR, ASGBITXOR, ASGDIV, ASGLSHIFT, ASGMUL, ASGREM, ASGRSHIFT, ASGSUB, ASGURSHIFT, ASSIGN, BITAND, BITNOT, BITOR, BITXOR, DEC, DIV, EQ, FIRST_TAG, GE, GT, INC, LE, LSHIFT, LT, MOD, NE, NOT, OR, POSTFIXDEC, POSTFIXINC, RSHIFT, STAR, SUB, UNARYADD, UNARYSUB, URSHIFT`

Fields inherited from class javafe.ast.GeneratedTags
`AMBIGUOUSMETHODINVOCATION, AMBIGUOUSVARIABLEACCESS, ARRAYINIT, ARRAYREFEXPR, ARRAYTYPE, ASSERTSTMT, BLOCKSTMT, BREAKSTMT, CASTEXPR, CATCHCLAUSE, CLASSDECL, CLASSDECLSTMT, CLASSLITERAL, COMPILATIONUNIT, COMPOUNDNAME, CONDEXPR, CONSTRUCTORDECL, CONSTRUCTORINVOCATION, CONTINUESTMT, DOSTMT, EVALSTMT, EXPROBJECTDESIGNATOR, FIELDACCESS, FIELDDECL, FORMALPARADECL, FORSTMT, IFSTMT, INITBLOCK, INSTANCEOFEXPR, INTERFACEDECL, LABELSTMT, LOCALVARDECL, METHODDECL, METHODINVOCATION, NEWARRAYEXPR, NEWINSTANCEEXPR, ONDEMANDIMPORTDECL, PARENEXPR, RETURNSTMT, SIMPLENAME, SINGLETYPEIMPORTDECL, SKIPSTMT, SUPEROBJECTDESIGNATOR, SWITCHLABEL, SWITCHSTMT, SYNCHRONIZESTMT, THISEXPR, THROWSTMT, TRYCATCHSTMT, TRYFINALLYSTMT, TYPENAME, TYPEOBJECTDESIGNATOR, VARDECLSTMT, VARIABLEACCESS, WHILESTMT`

Constructor Summary
`TagConstants()`

Method Summary
`private static int` | `getCode(int index)`
`private static java.lang.String` | `getString(int index)`
`static java.lang.String` | `toString(int code)`
`static void` | `zzzz()` Perform module-level checks.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### MAX_INT_PLUS_ONE

    public static final int MAX_INT_PLUS_ONE

See Also:
  Constant Field Values

### MAX_LONG_PLUS_ONE

    public static final int MAX_LONG_PLUS_ONE

See Also:
  Constant Field Values

### LEXICALPRAGMA

    public static final int LEXICALPRAGMA

See Also:
  Constant Field Values

### MODIFIERPRAGMA

    public static final int MODIFIERPRAGMA

See Also:
  Constant Field Values

### POSTMODIFIERPRAGMA

    public static final int POSTMODIFIERPRAGMA

See Also:
  Constant Field Values

### STMTPRAGMA

    public static final int STMTPRAGMA

See Also:
  Constant Field Values

### TYPEDECLELEMPRAGMA

    public static final int TYPEDECLELEMPRAGMA

See Also:
  Constant Field Values

### TYPEMODIFIERPRAGMA

    public static final int TYPEMODIFIERPRAGMA

See Also:
  Constant Field Values

### UNKNOWN_KEYWORD

    public static final int UNKNOWN_KEYWORD

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### SEMICOLON

    public static final int SEMICOLON

See Also:
  Constant Field Values

### LBRACE

    public static final int LBRACE

See Also:
  Constant Field Values

### RBRACE

    public static final int RBRACE

See Also:
  Constant Field Values

### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

### LSQBRACKET

    public static final int LSQBRACKET

See Also:
  Constant Field Values

### RSQBRACKET

    public static final int RSQBRACKET

See Also:
  Constant Field Values

### QUESTIONMARK

    public static final int QUESTIONMARK

See Also:
  Constant Field Values

### COLON

    public static final int COLON

See Also:
  Constant Field Values

### FIELD

    public static final int FIELD

See Also:
  Constant Field Values

### C_COMMENT

    public static final int C_COMMENT

See Also:
  Constant Field Values

### EOL_COMMENT

    public static final int EOL_COMMENT

See Also:
  Constant Field Values

### FIRST_KEYWORD

    public static final int FIRST_KEYWORD

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### ASSERT

    public static final int ASSERT

See Also:
  Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

See Also:
  Constant Field Values

### BREAK

    public static final int BREAK

See Also:
  Constant Field Values

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### CASE

    public static final int CASE

See Also:
  Constant Field Values

### CATCH

    public static final int CATCH

See Also:
  Constant Field Values

### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### CONST

    public static final int CONST

See Also:
  Constant Field Values

### CONTINUE

    public static final int CONTINUE

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### DO

    public static final int DO

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### ELSE

    public static final int ELSE

See Also:
  Constant Field Values

### EXTENDS

    public static final int EXTENDS

See Also:
  Constant Field Values

### FALSE

    public static final int FALSE

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### FINALLY

    public static final int FINALLY

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### FOR

    public static final int FOR

See Also:
  Constant Field Values

### GOTO

    public static final int GOTO

See Also:
  Constant Field Values

### IF

    public static final int IF

See Also:
  Constant Field Values

### IMPLEMENTS

    public static final int IMPLEMENTS

See Also:
  Constant Field Values

### IMPORT

    public static final int IMPORT

See Also:
  Constant Field Values

### INSTANCEOF

    public static final int INSTANCEOF

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### INTERFACE

    public static final int INTERFACE

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### NEW

    public static final int NEW

See Also:
  Constant Field Values

### NULL

    public static final int NULL

See Also:
  Constant Field Values

### PACKAGE

    public static final int PACKAGE

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### RETURN

    public static final int RETURN

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### STRICT

    public static final int STRICT

See Also:
  Constant Field Values

### SUPER

    public static final int SUPER

See Also:
  Constant Field Values

### SWITCH

    public static final int SWITCH

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### THIS

    public static final int THIS

See Also:
  Constant Field Values

### THROW

    public static final int THROW

See Also:
  Constant Field Values

### THROWS

    public static final int THROWS

See Also:
  Constant Field Values

### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

### TRUE

    public static final int TRUE

See Also:
  Constant Field Values

### TRY

    public static final int TRY

See Also:
  Constant Field Values

### VOID

    public static final int VOID

See Also:
  Constant Field Values

### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

### WHILE

    public static final int WHILE

See Also:
  Constant Field Values

### LAST_KEYWORD

    public static final int LAST_KEYWORD

See Also:
  Constant Field Values

### LAST_TAG

    public static final int LAST_TAG

See Also:
  Constant Field Values

### punctuationStrings

    static final java.lang.String[] punctuationStrings

  Alphabetical list of Java punctuation strings. In addition to being used in `Tokens`, this variable is used by `Lex` to implement `addJavaPunctuation`.

### punctuationCodes

    static final int[] punctuationCodes

  List of codes for Java punctuation. Order of this list agrees with with order of punctuationStrings. In addition to being used in `Tokens`, this variable is used by `Lex` to implement `addJavaPunctuation`.

### keywordStrings

    private static final java.lang.String[] keywordStrings

  Alphabetical list of Java keywords. The keyword codes are also alphabetical, which means that if X is code of keyword K, then keywordStrings[X - FIRST_KEYWORD] should equal K.

### otherStrings

    private static final java.lang.String[] otherStrings

### otherCodes

    private static final int[] otherCodes

### noTokens

    private static final int noTokens

Constructor Detail

### TagConstants

    public TagConstants()

Method Detail

### toString

    public static java.lang.String toString(int code)

  Returns:
    text representation of `code` (e.g., "=" for `ASSIGN`). Requires `code` is one of the token constants defined in `Tokens` (including ones inherited from `OperatorTags`).

### getCode

    private static int getCode(int index)

### getString

    private static java.lang.String getString(int index)

### zzzz

    public static void zzzz()

  Perform module-level checks.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage